%global modname parsel

%global w3lib_ver 1.8.0
%global lxml_ver 2.3
%global six_ver 1.5.2
%global cssselect_ver 0.9

Name:           python-%{modname}
Version:        1.1.0
Release:        1%{?dist}
Summary:        Library to extract data from HTML and XML using XPath and CSS selectors

License:        BSD
URL:            https://github.com/scrapy/parsel
Source0:        %{url}/archive/v%{version}/%{modname}-%{version}.tar.gz

BuildArch:      noarch

%description
%{summary}.

%package -n python2-%{modname}
Summary:        %{summary}
%{?python_provide:%python_provide python2-%{modname}}
BuildRequires:  python2-devel
BuildRequires:  python2-setuptools
BuildRequires:  python2-pytest
BuildRequires:  python2-pytest-runner
BuildRequires:  python2-w3lib >= %{w3lib_ver}
BuildRequires:  python2-lxml >= %{lxml_ver}
BuildRequires:  python2-six >= %{six_ver}
BuildRequires:  python2-cssselect >= %{cssselect_ver}
Requires:       python2-w3lib >= %{w3lib_ver}
Requires:       python2-lxml >= %{lxml_ver}
Requires:       python2-six >= %{six_ver}
Requires:       python2-cssselect >= %{cssselect_ver}

%description -n python2-%{modname}
%{summary}.

Python 2 version.

%package -n python3-%{modname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{modname}}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pytest
BuildRequires:  python3-pytest-runner
BuildRequires:  python3-w3lib >= %{w3lib_ver}
BuildRequires:  python3-lxml >= %{lxml_ver}
BuildRequires:  python3-six >= %{six_ver}
BuildRequires:  python3-cssselect >= %{cssselect_ver}
Requires:       python3-w3lib >= %{w3lib_ver}
Requires:       python3-lxml >= %{lxml_ver}
Requires:       python3-six >= %{six_ver}
Requires:       python3-cssselect >= %{cssselect_ver}

%description -n python3-%{modname}
%{summary}.

Python 3 version.

%prep
%autosetup -n %{modname}-%{version}

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%check
%{__python2} setup.py ptr
%{__python3} setup.py ptr

%files -n python2-%{modname}
%license LICENSE
%doc README.rst NEWS
%{python2_sitelib}/%{modname}-*.egg-info/
%{python2_sitelib}/%{modname}/

%files -n python3-%{modname}
%license LICENSE
%doc README.rst NEWS
%{python3_sitelib}/%{modname}-*.egg-info/
%{python3_sitelib}/%{modname}/

%changelog
* Sun Jan 01 2017 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 1.1.0-1
- Initial package
